EZ_GetListBoxSelection(3)

NAME
EZ_GetListBoxSelection, EZ_GetListBoxSelectionLineNumber - retrieve the selection in a listbox

SYNOPSIS
#include <EZ.h>

char *EZ_GetListBoxSelection( EZ_Widget *listbox)
char *EZ_GetListBoxSeletedItem( EZ_Widget *listbox)
int  EZ_GetListBoxSelectionLineNumber( EZ_Widget *listbox)

ARGUMENTS
listbox Specifies a listbox widget.

DESCRIPTION

EZ_GetListBoxSelection returns the selection in a listbox. It returns NULL if no selection has been made.

EZ_GetListBoxSelectedItem returns the selected item in a listbox.

EZ_GetListBoxSelectionLineNumber returns the index of the selected item in a listbox. It returns -1 if no selection has been made.

SEE ALSO
EZ_GetListBoxSelection(3), EZ_SetListBoxItems(3), EZ_ClearListBox(3)